interface Options {
    title: string;
    version: string;
    url?: string;
    description?: string;
    useHostUrlAsSampleUrl?: boolean;
    sampleUrl?: string;
    header?: string;
    footer?: string;
    order?: string[];
    template?: {
        forceLanguage?: 'ca' | 'cs' | 'de' | 'es' | 'fr' | 'it' | 'nl' | 'pl' | 'pl_br' | 'ro' | 'ru' | 'tr' | 'vi' | 'zh' | 'zh_cn';
        withCompare?: boolean;
        jQueryAjaxSetup?: Record<string, any>;
        aloneDisplay?: boolean;
    };
}
export declare function KoaApidoc(opts?: Options): ClassDecorator;
export declare function Apidoc(content: string): MethodDecorator;
export {};
